#!/bin/sh

## This is a pre-processing script to remove any residual files from the previous runs and create necessary directories.

echo pre_processing.sh Script Initiated
pwd

cd ost
pwd

## REM delete previous directories & output files
rm -rf ./sub*
rm -rf ./OUTPUT 

if [ -f OstDone.txt ]; then 
   rm -f OstDone.txt
fi
if [ -f OstQuit.txt ]; then 
   rm -f OstQuit.txt
fi
if [ -f OstTemp*.txt ]; then 
   rm -f OstTemp*.txt
fi
if [ -f OstSaveOut.txt ]; then 
   rm -f OstSaveOut.txt
fi
if [ -f OstGcopOut.txt ]; then 
   rm -f OstGcopOut.txt
fi
if [ -f OstGcopOut.txt ]; then 
   rm -f OstGcopOut.txt
fi
if [ -f OstExeOut.txt ]; then 
   rm -f OstExeOut.txt
fi

rm -f OstErrors*.txt
rm -f OstOutput*.txt
rm -f OstModel*.txt
rm -f OstStatus*.txt

if [ -f Metrics_Out_All.txt ]; then 
   rm -f Metrics_Out_All.txt
fi

## REM create OUTPUT directory
if [ -d OUTPUT/streamflows ]; then
   echo 
else
   mkdir -p OUTPUT/streamflows
fi

echo Pre-processing finished. Submitting the job now ...
