#$ -S /bin/sh

## This is an script to run the MESH model. It can be modified to run any other model.
## More about the MESH model can be found at https://wiki.usask.ca/display/MESH/About+MESH 

START=$(date +%s)

## Making MESH output directory "results"; this name should be identical with the output directory used in MESH_input_run_options.ini file
if [ -d results ]; then 
   echo 
else 
   mkdir results
fi

echo "Running MESH"
## MESH version used is 1.4.1037
./sa_mesh_r1037

END=$(date +%s)

DIFF=$(( $END - $START ))

echo "===================="
echo ""
echo "It took $DIFF seconds"
echo ""
echo "===================="
echo ""
echo ""
